#!/usr/bin/env python3

from gi.repository import Gtk, Adw

class ComipoliPreference(Adw.MessageDialog):
    def __init__(self, app):
        Adw.MessageDialog.__init__(self, modal=True)
        self.app = app
        # esc
        self.esc = Gtk.CheckButton(label='Esc to Close', active=app.esc_exit)
        self.esc.connect('toggled', self.on_toggled_esc)
        # pdf
        self.pdf = Gtk.CheckButton(label='Enable PDF File', active=app.is_pdf)
        self.pdf.connect('toggled', self.on_toggled_pdf)
        # thumbnail_height
        self.thumb = Gtk.SpinButton.new_with_range(0.0, 10000.0, 1.0)
        self.thumb.set_value(app.thumbnail_height)
        self.thumb.props.halign = Gtk.Align.END
        self.thumb.connect('value-changed', self.on_spin_changed)
        hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL)
        hbox.append(Gtk.Label(label='Thumbnail Height (px)'))
        hbox.append(self.thumb)
        # Pack
        vbox = Gtk.Box(orientation=Gtk.Orientation.VERTICAL)
        vbox.append(self.esc)
        vbox.append(self.pdf)
        vbox.append(hbox)
        self.set_child(vbox)
        # title
        title = Gtk.Label(label='Preference')
        self.set_titlebar(Adw.HeaderBar(title_widget=title))

    def on_toggled_esc(self, button):
        self.app.esc_exit = button.props.active

    def on_toggled_pdf(self, button):
        self.app.is_pdf = button.props.active

    def on_spin_changed(self, spin):
        self.app.thumbnail_height = spin.props.value


